#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include "fatals.h"
#include "rand32.h"

int main(int argc, char * argv[]) {
  int row, col, min, max, N;

  if(argc!=4) {
    fprintf(stderr,"Usage: %s [Matrix Dimension] [min] [max]\n",argv[0]);
    return -1;
  }

  N = atoi(argv[1]);

  min = atoi(argv[2]);
  max = atoi(argv[3]);

  if(min>=max) {
    fprintf(stderr,"Min cannot be >= Max\n");
    return -1;
  }

  // seed the random number generator
  srand(time(NULL));

  for(row=0;row<N;row++) {
    for(col=0;col<N;col++) {
      printf("%5.1i ",randOnRange(min,max));
    }
    printf("\n");
  }

  return 0;
}
